Cyberduck Mountain Duck CLI

#6479 closed enhancement (fixed)

Does not suppress sleep mode during file transfers

Reported by: pult Owned by: dkocher
Priority: normal Milestone: 4.3
Component: core Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

If large files are to be uploaded, my iMac (10.6.8) goes to sleep although the upload is still running.

CyberDuck should definitely prevent the OS from going to sleep mode during an upload process.

Change History (10)

comment:1 Changed on Jan 14, 2012 at 7:42:36 AM by dkocher

  • Summary changed from CyberDuck does not suppress sleep mode during file upload to Does not suppress sleep mode during file upload

comment:2 Changed on Feb 17, 2012 at 10:59:35 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from Does not suppress sleep mode during file upload to Does not suppress sleep mode during file transfers
  • Type changed from defect to enhancement

comment:3 Changed on Oct 7, 2012 at 3:51:34 PM by dkocher

#6785 closed as duplicate.

comment:4 Changed on Dec 17, 2012 at 4:11:54 PM by dkocher

#7005 closed as duplicate.

comment:5 Changed on Apr 23, 2013 at 12:27:54 PM by dkocher

Implementation in r10908.

comment:6 Changed on Apr 23, 2013 at 12:28:09 PM by dkocher

  • Milestone set to 4.4

comment:7 Changed on Apr 23, 2013 at 12:45:21 PM by dkocher

Tested it does indeed work with

yuksom:~ dkocher$ pmset -g assertions |grep Cyberduck
  pid 8694(Cyberduck): [0x0000000100000adc] 00:00:12 PreventUserIdleSystemSleep named: "Cyberduck" 

comment:8 Changed on Apr 23, 2013 at 1:02:17 PM by dkocher

Property to toggle in r10914. Use

defaults write ch.sudo.cyberduck queue.sleep.prevent true

to enable.

comment:9 Changed on Apr 23, 2013 at 1:42:34 PM by dkocher

  • Milestone changed from 4.4 to 4.3
  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software